import { r as registerInstance, h, H as Host } from './index-24b18689.js';

const pageFooterCss = "sparkle-page-footer{margin-top:6rem}sparkle-page-footer .last-updated{color:var(--text-color--light);font-weight:normal;margin-left:auto;text-decoration:underline}sparkle-page-footer .page-footer__row{align-items:center;display:flex;font-size:12px;margin-top:2rem}";

const SparklePageFooter = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  hostData() {
    return {
      role: 'contentinfo',
    };
  }
  __stencil_render() {
    const { page } = this;
    const pagination = (page.previousText && page.previousUrl) || (page.nextText && page.nextUrl) ? h("sparkle-pagination", { page: page }) : '';
    return pagination;
  }
  render() { return h(Host, this.hostData(), this.__stencil_render()); }
};
SparklePageFooter.style = pageFooterCss;

export { SparklePageFooter as sparkle_page_footer };
